# StackBlitz SDK

The StackBlitz JavaScript SDK lets you programmatically create StackBlitz projects to be opened in a new window or embedded in your docs, example pages, or blog posts.

## Documentation

Check out our SDK documentation on developer.stackblitz.com:

- [SDK overview](https://developer.stackblitz.com/platform/api/javascript-sdk)
- [Options reference](https://developer.stackblitz.com/platform/api/javascript-sdk-options)
- [Controlling embeds](https://developer.stackblitz.com/platform/api/javascript-sdk-vm)

## Reporting issues

- Issues with the SDK can be filed at https://github.com/stackblitz/sdk/issues
- Other issues with StackBlitz can be filed at https://github.com/stackblitz/core/issues

## Development

We use `npm` and Node 16+.

```sh
# Install dependencies
npm install

# Generate the 'bundles' and 'types' folders
npm run build

# Run all tests
npm test

# Run unit tests with coverage report
npm run test -- --coverage

# Run end-to-end tests with mock server
npm run e2e

# Run end-to-end tests against stackblitz.com
STACKBLITZ_SERVER_ORIGIN=https://stackblitz.com npm run e2e
```
