import type { EmbedOptions, OpenOptions } from './interfaces';
declare type Options = Omit<OpenOptions & EmbedOptions, 'origin' | 'newWindow' | 'height' | 'width'>;
/**
 * URL parameter names supported by the StackBlitz instance.
 * Note that while updated instances perform a case-insensitive lookup
 * for query parameters, some Enterprise Edition deployments may not,
 * and we need to use specific (and sometimes inconsistent) casing;
 * see for example 'hidedevtools' vs 'hideNavigation'.
 */
declare type ParamName = '_test' | 'clicktoload' | 'ctl' | 'devtoolsheight' | 'embed' | 'file' | 'hidedevtools' | 'hideExplorer' | 'hideNavigation' | 'initialpath' | 'showSidebar' | 'terminalHeight' | 'theme' | 'view';
export declare function buildParams(options?: Options): string;
export declare function trueParam(name: ParamName, value?: boolean): string;
export declare function booleanParam(name: ParamName, value?: boolean): string;
export declare function percentParam(name: ParamName, value?: number): string;
export declare function enumParam(name: ParamName, oneOf: string[], value?: string): string;
export declare function stringParams(name: ParamName, value?: string | string[]): string[];
export {};
